Create or replace a language version of a certification's name, summary and level
curl --request PUT \
--url https://api.journeybee.io/v1/certifications/{uuid}/translations/{language} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"summary": "<string>",
"level": "<string>"
}
'import requests
url = "https://api.journeybee.io/v1/certifications/{uuid}/translations/{language}"
payload = {
"label": "<string>",
"summary": "<string>",
"level": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', summary: '<string>', level: '<string>'})
};
fetch('https://api.journeybee.io/v1/certifications/{uuid}/translations/{language}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.journeybee.io/v1/certifications/{uuid}/translations/{language}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'label' => '<string>',
'summary' => '<string>',
'level' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.journeybee.io/v1/certifications/{uuid}/translations/{language}"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"summary\": \"<string>\",\n \"level\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.journeybee.io/v1/certifications/{uuid}/translations/{language}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"<string>\",\n \"summary\": \"<string>\",\n \"level\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.journeybee.io/v1/certifications/{uuid}/translations/{language}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"<string>\",\n \"summary\": \"<string>\",\n \"level\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"language": "en",
"label": "<string>",
"summary": "<string>",
"level": "<string>"
}Certification Translations
Create or replace a language version of a certification's name, summary and level
PUT
/
certifications
/
{uuid}
/
translations
/
{language}
Create or replace a language version of a certification's name, summary and level
curl --request PUT \
--url https://api.journeybee.io/v1/certifications/{uuid}/translations/{language} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"summary": "<string>",
"level": "<string>"
}
'import requests
url = "https://api.journeybee.io/v1/certifications/{uuid}/translations/{language}"
payload = {
"label": "<string>",
"summary": "<string>",
"level": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', summary: '<string>', level: '<string>'})
};
fetch('https://api.journeybee.io/v1/certifications/{uuid}/translations/{language}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.journeybee.io/v1/certifications/{uuid}/translations/{language}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'label' => '<string>',
'summary' => '<string>',
'level' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.journeybee.io/v1/certifications/{uuid}/translations/{language}"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"summary\": \"<string>\",\n \"level\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.journeybee.io/v1/certifications/{uuid}/translations/{language}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"<string>\",\n \"summary\": \"<string>\",\n \"level\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.journeybee.io/v1/certifications/{uuid}/translations/{language}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"<string>\",\n \"summary\": \"<string>\",\n \"level\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"language": "en",
"label": "<string>",
"summary": "<string>",
"level": "<string>"
}Authorizations
Path Parameters
Body
application/json
Replace one language version of a certification's name/summary/level. Omitting a field leaves it unchanged; null clears a translatable text field.
Replace one language version of a certification's name/summary/level. Omitting a field leaves it unchanged; null clears a translatable text field.
Response
200 - application/json
Default Response